# Source Code Repositories

Below are a number of links to source code repositories related to Flashii.net and its services.

## Websites & Services
  - [Misuzu](https://git.flash.moe/flashii/misuzu): Backend of the main website.
  - [Sharp Chat](https://git.flash.moe/flashii/sharp-chat): Chat Server software.
  - [Futami](https://git.flash.moe/flashii/futami): Common data shared between the chat clients.
  - [EEPROM](https://git.flash.moe/flashii/eeprom): Service for file uploading.
  - [Uiharu](https://git.flash.moe/flashii/uiharu): Service for looking up URL metadata.
  - [Seria](https://git.flash.moe/flashii/seria): Software used by the downloads tracker.
  - [Mince](https://git.flash.moe/flashii/mince): Source code for the Minecraft servers subwebsite.
  - [Awaki](https://git.flash.moe/flashii/awaki): Redirect service hosted on fii.moe.

## Tools & Software
  - [SoFii](https://git.flash.moe/flashii/sofii): Launcher for Soldier of Fortune 2
  - [MCExts](https://git.flash.moe/flashii/mcexts): Minecraft Client and Server extensions.
  - [Backup Tools](https://git.flash.moe/flashii/backup-tools): Scripts that run every day at 12:00am UTC to back up any user generated content.

## First-Party Libraries
  - [Index](https://git.flash.moe/flash/index): Base library used in almost any component of the website that uses PHP.
  - [Sasae](https://git.flash.moe/flash/sasae): Extension to the Twig templating library.
  - [Syokuhou](https://git.flash.moe/flash/syokuhou): Configuration library.

## Historical
  - [AJAX Chat (fork)](https://git.flash.moe/flashii/ajax-chat): Old chat software (2013-2015). Still kept on life support for the nostalgia.
  - [Hajime](https://git.flash.moe/flash/hajime): Cleaned up source of an older version of the website (2014-2015).
